
QGIS Application - Bug report #1007

PostGIS reports error when saving edited layer

2008-03-25 08:51 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11067

Description

[[PostGIS]] reports 

ERROR: invalid wkb

CONTEXT: SQL function "geomfromwkb" statement 1

when I try to save an edited [[PostGIS]] layer.

My system:

Postgresql 8.1.11

[[PostGIS]] 1.1.5

Associated revisions

Revision 53ad04e8 - 2008-03-25 06:55 PM - Jürgen Fischer

fix #1007

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8267 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 9893f4af - 2008-03-25 06:55 PM - Jürgen Fischer

fix #1007

git-svn-id: http://svn.osgeo.org/qgis/trunk@8267 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-25 10:55 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:9893f4af (SVN r8268)
#2 - 2008-03-27 02:59 AM - Horst Düster

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

With the current commit:9a584ede (SVN r8287) QGIS shows the same behaviour like before commit:9893f4af (SVN r8268). I reopen the ticket.

#3 - 2008-03-27 03:46 AM - Jürgen Fischer

Replying to [comment:2 hdus]:

With the current commit:9a584ede (SVN r8287) QGIS shows the same behaviour like before commit:9893f4af (SVN r8268). I reopen the ticket.

I retried this with [[PostgreSQL]] 8.1.11/PostGIS 1.1 on Debian and [[PostgreSQL]] 8.2.4/PostGIS 1.2 on Windows by changing POLYGON and

LINESTRING features.

Both worked fine with commit:9a584ede (SVN r8287).  Could you provider a testcase?

#4 - 2008-03-27 04:58 AM - Jürgen Fischer

- Status changed from Feedback to Open

#5 - 2008-03-28 02:56 AM - Jürgen Fischer

Does commit:fa696cda (SVN r8291) fix this too?

#6 - 2008-03-28 03:31 AM - Horst Düster

Replying to [comment:5 jef]:

Does commit:fa696cda (SVN r8291) fix this too?

Yes #1007 is fixed by commit:fa696cda (SVN r8291)!

#7 - 2008-03-28 06:22 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

#8 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
